package com.hfkj.common.exception;

/**
 * 
 * @ClassName:  ErrorCode   
 * @Description:
 * 代码code规则：	
 * 		0000-0999   系统异常 
 * 		1000-1999 app异常
 * 		2000-2999 biz异常
 * 		999999	      未知异常
 * @author: 机器猫 
 * @date:   2018年8月12日 上午11:43:30   
 *     
 * @Copyright: 2018 www.shinwoten.com Inc. All rights reserved.
 */
public enum ErrorCode {
	
    //////////////////sys////////////////
	DB_CONNECT_ERROR("0000","数据库连接异常"),
	FTP_CONNECT_ERROR("0001","FTP服务器连接失败"),
	FTP_CONFIG_NOT_FOUND("0002","FTP服务地址路径配置缺失"),
	
	//////////////////APP///////////////
    WECHAT_DECRYPT_ERROR("3001","微信解密错误->%s"),
    WECHAT_LOGIN_ERROR("3002","微信登录失败"),
    WECHAT_LOGIN_TEACHER_ERROR("3003","当前微信用户不是老师，请联系管理员"),
    SERVER_BUSY_ERROR("3004","服务器繁忙，请稍后重试"),

    //////////////////业务异常/////////////
    COMMON_ERROR("2000",""),
    REQ_PARAMS_ERROR("2001","请求参数校验失败"),
    BS_COMPANY_UNAVAILABLE("2002","公司不可用"),
    NOT_FOUND_USER_ERROR("2003","用户不存在"),
    NOT_FOUND_COMPANY("2004","未找到公司"),
    USER_PHONE_HAS_ONE_ERROR("2005","该用户电话已被绑定，请更换"),
    USER_ROLE_PERMISSION_ALLOT_ERROR("2006","请联系管理员核实用户角色权限是否启用"),
    COMPANY_REGION_HAS_IN_CITY_ERROR("2007","单位区域必须选择到市级区域"),
    UN_FIND_ORGANIZATION_ERROR("2008","未找到该部门信息"),
    COMPANY_ADMIN_USER_ERROR("2009","公司主账号异常"),
    ORGANIZATION_NAME_IS_EXIST_ERROR("2010","部门名称已经存在"),
    TOP_ORGANIZATION_DELETE_ERROR("2011","顶级组织不允许删除"),
    SON_ORGANIZATION_IS_EXIST_ERROR("2012","存在子级部门，不能删除"),
    ORG_REGION_HAS_IN_REGION_ERROR("2013","区级单位所属区域必须选择到区级"),
    CMS_CATEGORY_NOT_FOUND("2014", "未找到分类"),
    CMS_CATEGORY_MODULE_NOT_FOUND("2015", "未找到模板"),
    CMS_CATEGORY_MODULE_EXISTS("2016", "同一分类下存在相同名称的模板"),
    CMS_CATEGORY_EXISTS_CHILDREN("2017", "分类存在子级，无法删除"),
    CMS_CATEGORY_EXISTS("2018", "存在相同编码的分类"),
    CMS_CREATE_HTML_ERROR("2019", "生成页面错误"),
    CMS_CONTENT_NOT_FOUND("2020", "未找到内容信息"),
    CMS_PATCH_NOT_FOUND("2021", "未找到附件"),
    MENU_TREE_HAS_NOT_ERROR("2022","该主角色没有权限"),
    PERMISSION_NAME_IS_EXIST_ERROR("2023","该权限名称已经存在"),
    PERMISSION_CODE_IS_EXIST_ERROR("2024","该权限编码已经存在"),
    MENU_TYPE_IS_NOT_EDIT_ERROR("2025","菜单类型不允许修改"),
    MENU_HAS_SON_ERROR("2026","存在子菜单，不能删除"),
    ROLE_NAME_IS_EXIST_ERROR("2027","该角色名已经存在"),
    USER_LOGIN_NAME_IS_EXIST_ERROR("2028","该登录用户名已经存在"),
    USER_ROLE_HAS_ALLOT_ERROR("2029","该角色已分配给用户，不能删除"),
    COMPANY_NAME_IS_EXIST_ERROR("2030","公司已经存在"),
    UN_FIND_TOP_ORGANIZATION_ERROR("2031","找不到顶级组织架构"),
    BASE_ORGANIZATION_HAS_NOT_MANAGE_ERROR("2032","该部门暂无管理员"),
    BASE_ORGANIZATION_HAS_NOT_PARENT_ERROR("2033","该部门无上级部门"),
    UN_MEMBER_ERROR("2034","未找到用户"),
    PASSWORD_ERROR("2035","账号或密码错误"),


    STATUS_ERROR("3000","状态错误"),
    ADD_DATA_ERROR("3001","增加数据失败"),
    UPDATE_DATA_ERROR("3002","修改数据失败"),
    DELETE_DATA_ERROR("3003","删除数据失败"),
    COMPETENCE_INSUFFICIENT("3004","权限不足"),
    REQUEST_ERROR("3005","请求错误"),
    REQUEST_TIMED_OUT("3006","请求超时，请稍后重试"),
    SEC_USER_EXPIRED("3007","用户身份错误或已过期"),



    OPEN_API_COMMON("4000",""),
    OPEN_API_REQ_PARAMS_ERR("4001","请求参数校验失败"),
    OPEN_API_SIGN_ERR("4002","签名错误"),
    OPEN_API_KEY_ERR("4003","商户秘钥错误"),
    OPEN_API_TOKEN_ERR("4004","token不存在或已过期"),
    OPEN_API_TOKEN_GRANT_TYPE_ERR("4005","token授权类型错误"),

    MSG_EVENT_NULL("2999","消息类型为空"),
	USE_VISIT_ILLEGAL("4001","用户身份错误"),
	RC_VISIT_ERROR("2998",""),
	UNKNOW_ERROR("999999","未知异常"),
	EXCEL_ERROR("80000","Excel处理异常"),
    ;//注意：上面为逗号，此次为分号


    private String code;
    private String msg;
    ErrorCode(String code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

//    public void setCode(String code) {
//        this.code = code;
//    }

    public String getMsg() {
        return msg;
    }

//    public void setMsg(String msg) {
//        this.msg = msg;
//    }
}
